%define oname ppx_derivers

Name:           ocaml-%{oname}
Epoch:          1
Version:        1.0
Release:        %mkrel 9
Summary:        ppx_type_conv/ppx_deriving interoperability library
Group:          Development/OCaml
License:        BSD
URL:            https://github.com/diml/%{oname}
Source0:        https://github.com/diml/%{oname}/archive/%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

%description
Ppx_derivers is a tiny package whose sole purpose is to allow ppx_deriving and
ppx_type_conv to inter-operate gracefully when linked as part of the same
ocaml-migrate-parsetree driver.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune upgrade
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc README.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:1.0-9.mga8
+ Revision: 1670286
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:1.0-8.mga8
+ Revision: 1551493
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1:1.0-7.mga8
+ Revision: 1544470
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 1:1.0-6.mga8
+ Revision: 1483042
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1:1.0-5.mga7
+ Revision: 1324016
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1:1.0-4.mga7
+ Revision: 1323684
- Rebuild for ocam 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0-3.mga7
+ Revision: 1299915
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:1.0-2.mga7
+ Revision: 1241923
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:1.0-1.mga7
+ Revision: 1192998
- imported package ocaml-ppx_derivers

